Package org.opensaml.soap.wstrust.impl

# Class LifetimeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wstrust.impl.AbstractWSTrustObject
org.opensaml.soap.wstrust.impl.LifetimeImpl

All Implemented Interfaces:
  `XMLObject`, `Lifetime`, `WSTrustObject`

public class LifetimeImpl extends AbstractWSTrustObject implements Lifetime
LifetimeImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Created`
`created`
The wsu:Created child element.
`private Expires`
`expires`
The wsu:Expires child element.

### Fields inherited from interface org.opensaml.soap.wstrust.Lifetime

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`LifetimeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Created`
`getCreated()`
Returns the wsu:Created child element.
`Expires`
`getExpires()`
Returns the wsu:Expires child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setCreated(Created newCreated)`
Sets the wsu:Created child element.
`void`
`setExpires(Expires newExpires)`
Sets the wsu:Expires child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### created

@Nullable private Created created
The wsu:Created child element.

### expires

@Nullable private Expires expires
The wsu:Expires child element.

## Constructor Details

### LifetimeImpl

public LifetimeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getCreated

@Nullable public Created getCreated()
Returns the wsu:Created child element.

Specified by:
  `getCreated` in interface `Lifetime`
Returns:
  the `Created` child element or `null`.

### getExpires

@Nullable public Expires getExpires()
Returns the wsu:Expires child element.

Specified by:
  `getExpires` in interface `Lifetime`
Returns:
  the `Expires` child element or `null`.

### setCreated

public void setCreated(@Nullable Created newCreated)
Sets the wsu:Created child element.

Specified by:
  `setCreated` in interface `Lifetime`
Parameters:
  `newCreated` - the `Created` child element to set.

### setExpires

public void setExpires(@Nullable Expires newExpires)
Sets the wsu:Expires child element.

Specified by:
  `setExpires` in interface `Lifetime`
Parameters:
  `newExpires` - the `Expires` child element.

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements